<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Wed Jan 09 22:54:25 CET 2019 -->
<title>GraphDataSource</title>
<meta name="date" content="2019-01-09">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GraphDataSource";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../hr/fer/infmre/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../hr/fer/infmre/Graph.html" title="class in hr.fer.infmre"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../hr/fer/infmre/Main.html" title="class in hr.fer.infmre"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?hr/fer/infmre/GraphDataSource.html" target="_top">Frames</a></li>
<li><a href="GraphDataSource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">hr.fer.infmre</div>
<h2 title="Class GraphDataSource" class="title">Class GraphDataSource</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hr.fer.infmre.GraphDataSource</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">GraphDataSource</span>
extends java.lang.Object</pre>
<div class="block">Class representing data source (nodes, edges and edge weights) for a graph.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../hr/fer/infmre/GraphDataSource.html#DIRECTED">DIRECTED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Set&lt;<a href="../../../hr/fer/infmre/Edge.html" title="class in hr.fer.infmre">Edge</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../hr/fer/infmre/GraphDataSource.html#edges">edges</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Map&lt;java.lang.String,<a href="../../../hr/fer/infmre/Node.html" title="class in hr.fer.infmre">Node</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../hr/fer/infmre/GraphDataSource.html#nodes">nodes</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../hr/fer/infmre/GraphDataSource.html#UNDIRECTED">UNDIRECTED</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../hr/fer/infmre/GraphDataSource.html#GraphDataSource-java.nio.file.Path-">GraphDataSource</a></span>(java.nio.file.Path&nbsp;path)</code>
<div class="block">Reads input file and parses it to get nodes, edges and edge weights.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../hr/fer/infmre/Graph.html" title="class in hr.fer.infmre">Graph</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../hr/fer/infmre/GraphDataSource.html#buildGraph--">buildGraph</a></span>()</code>
<div class="block">Builds graph based on nodes and edges.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../hr/fer/infmre/Node.html" title="class in hr.fer.infmre">Node</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../hr/fer/infmre/GraphDataSource.html#findById-java.lang.String-">findById</a></span>(java.lang.String&nbsp;id)</code>
<div class="block">Finds the node with the given id.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DIRECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DIRECTED</h4>
<pre>private static final&nbsp;java.lang.String DIRECTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hr.fer.infmre.GraphDataSource.DIRECTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="UNDIRECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNDIRECTED</h4>
<pre>private static final&nbsp;java.lang.String UNDIRECTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#hr.fer.infmre.GraphDataSource.UNDIRECTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="edges">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>edges</h4>
<pre>private&nbsp;java.util.Set&lt;<a href="../../../hr/fer/infmre/Edge.html" title="class in hr.fer.infmre">Edge</a>&gt; edges</pre>
</li>
</ul>
<a name="nodes">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>nodes</h4>
<pre>private&nbsp;java.util.Map&lt;java.lang.String,<a href="../../../hr/fer/infmre/Node.html" title="class in hr.fer.infmre">Node</a>&gt; nodes</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GraphDataSource-java.nio.file.Path-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GraphDataSource</h4>
<pre>public&nbsp;GraphDataSource(java.nio.file.Path&nbsp;path)
                throws java.io.IOException</pre>
<div class="block">Reads input file and parses it to get nodes, edges and edge weights.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to the input file that contains nodes, edges and edge weights</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - Throws IOException if input file on the given path does not exist.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="buildGraph--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buildGraph</h4>
<pre>public&nbsp;<a href="../../../hr/fer/infmre/Graph.html" title="class in hr.fer.infmre">Graph</a>&nbsp;buildGraph()</pre>
<div class="block">Builds graph based on nodes and edges.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Graph generated from given nodes and edges.</dd>
</dl>
</li>
</ul>
<a name="findById-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>findById</h4>
<pre>public&nbsp;<a href="../../../hr/fer/infmre/Node.html" title="class in hr.fer.infmre">Node</a>&nbsp;findById(java.lang.String&nbsp;id)</pre>
<div class="block">Finds the node with the given id.
 If such does not exist, returns null.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - id of the searched node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Node with the given id.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../hr/fer/infmre/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../hr/fer/infmre/Graph.html" title="class in hr.fer.infmre"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../hr/fer/infmre/Main.html" title="class in hr.fer.infmre"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?hr/fer/infmre/GraphDataSource.html" target="_top">Frames</a></li>
<li><a href="GraphDataSource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
